import request from '@/utils/request'
// 获取投诉单信息
export function getComplaintBillList(data) {
  return request({
    url: '/complaint/getComplaintBillList',
    method: 'post',
    params: data
  })
}
// 字典获取
export function getDictTypeInfo(data) {
  return request({
    url: '/system/selectDictDataList',
    method: 'post',
    params: data
  })
}
// 订单列表获取
export function getPrintOrderList(data) {
  return request({
    url: '/complaint/getOrderInfoList',
    method: 'post',
    params: data
  })
}
// 增加投诉单
export function addComplaintBill(data) {
  return request({
    url: '/complaint/addComplaintBill',
    method: 'post',
    params: data
  })
}
// 获取投诉单信息
export function getComplaintBill(data) {
  return request({
    url: '/complaint/getComplaintBillDetail',
    method: 'post',
    params: data
  })
}
// 修改投诉单信息
export function updateComplaintBill(data) {
  return request({
    url: '/complaint/updateComplaintBill',
    method: 'post',
    params: data
  })
}
// 暂存投诉单信息
export function temporaryComplaintBill(data) {
  return request({
    url: '/complaint/temporaryComplaintBill',
    method: 'post',
    params: data
  })
}
